www-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Olivier Lamy <ol...@apache.org>
Subject Re: Error: JAVA_HOME is not defined correctly + Maven Home error at ubuntu_ARM_15
Date Wed, 12 Sep 2012 09:04:58 GMT
can you avoid using this Ant (latest) and use version named installation.
If not on fs, it's downloaded from apache distribution websites.
This simplify maintenance for infra folks (and build infra volunteers
spare time).
And the most importance is your build reproducibility !
Because you are sure about the ant version you will use.
Using this Ant (latest) means maybe it's not the same on all machines
(depends if folks have time to update on all nodes)

My 0.02 euros
--
Olivier

2012/9/12 Sandro Martini <sandro.martini@gmail.com>:
> Hi all,
> on Ubuntu_ARM* nodes I have build errors:
>>FATAL: Cannot find executable from the choosen Ant installation "Ant (latest)"
>> Build step 'Invoke Ant' marked build as failure
>
> Is it something Infra can fix, so we have the same configuration on
> all build servers ?
>
> Thank you very much,
> Sandro



-- 
Olivier Lamy
Talend: http://coders.talend.com
http://twitter.com/olamy | http://linkedin.com/in/olamy

Mime
View raw message